Bug 152650 - aacraid driver in RHEL 3 U4 em64t causes kernel panic
aacraid driver in RHEL 3 U4 em64t causes kernel panic
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
ia32e Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
Depends On:
Blocks: 168424
  Show dependency treegraph
Reported: 2005-03-30 18:01 EST by Need Real Name
Modified: 2007-11-30 17:07 EST (History)
8 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-15 10:53:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
This is one of the dumps when system dies (7.34 KB, text/plain)
2005-03-31 14:09 EST, Need Real Name
no flags Details
Another oops dump which happened during insmod (2.14 KB, text/plain)
2005-04-04 16:33 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2005-03-30 18:01:16 EST
Description of problem:
The current driver (aacraid) in RHEL 3 U4 (em64t) for ASR-2200s RAID adapter 
does not function properly. It causes kernel panic during various operations.

Panic happens either during partitioning the drives or creating filesystems.

The latest driver available in 2.4.29 kernel fixes the issue.
Comment 1 Ernie Petrides 2005-03-30 22:52:28 EST
Correcting kernel version.
Comment 2 Tom Coughlan 2005-03-31 13:41:54 EST
> The latest driver available in 2.4.29 kernel fixes the issue.

That is a pretty huge diff. I would like to identify the particular fix for this
problem. Post any additional information you have on it. 

Please post the console output showing the stack trace when the kernel panics. 

RHEL 3 U5 is frozen. We will look at this for U6. 
Comment 3 Need Real Name 2005-03-31 13:53:11 EST
Unfortunately yes, it is a big diff. I'll try to get stack trace once I can 
get the system back for this issue.
Comment 4 Need Real Name 2005-03-31 14:09:43 EST
Created attachment 112535 [details]
This is one of  the dumps when system dies

I found a trace that I kept; not a helpful one though. The system oops in
various manners. I'll try to get other traces.
Comment 5 Need Real Name 2005-04-04 16:33:22 EDT
Created attachment 112684 [details]
Another oops dump which happened during insmod
Comment 11 dely.l.sy 2005-08-03 09:40:54 EDT
I tested the aacraid driver in RHEL 3 U6 Beta on ASR-2200S RAID adapter.  I 
was able to partition the drives, create filesystems and transfer files.  The  
Panic during insmod as described above didn't happen.  I didn't see any 
changes in the two drivers in U4 and U6.  However, I did notice that when I 
rmmod the driver and insmod the driver again, the driver stayed 
at "initializing" state.
Comment 12 dely.l.sy 2005-08-03 17:52:14 EDT
Correction: the OS build tested above was RHEL 3 U6 early release and not RHEL 
3 U6 Beta.
Comment 31 Tom Coughlan 2005-11-01 18:54:43 EST
Please test the kernel located at:


to verify that it solves the problem. 

This contains version 1.1.5-2412 of the aacraid driver. This is the latest from
Adaptec, and is a candidate for U7. 

Comment 32 Dale Busacker 2005-11-02 17:19:24 EST
Problem is solved in this test kernel rpm.  Installed and removed module 
several times without issue.
Comment 36 Ernie Petrides 2005-11-22 19:36:08 EST
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.10.EL).
Comment 40 dely.l.sy 2006-01-10 20:42:28 EST
This issue was found fixed with RHEL 3 U7 public beta.  This bugzilla can be 
Comment 41 Ernie Petrides 2006-01-11 12:50:10 EST
Reverting to ON_QA state.
Comment 43 Red Hat Bugzilla 2006-03-15 10:53:33 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.